Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventAction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction

Direct Known Subclasses:
  `TdApi.ChatEventDescriptionChanged`, `TdApi.ChatEventInviteLinkDeleted`, `TdApi.ChatEventInviteLinkEdited`, `TdApi.ChatEventInviteLinkRevoked`, `TdApi.ChatEventInvitesToggled`, `TdApi.ChatEventIsAllHistoryAvailableToggled`, `TdApi.ChatEventLinkedChatChanged`, `TdApi.ChatEventLocationChanged`, `TdApi.ChatEventMemberInvited`, `TdApi.ChatEventMemberJoined`, `TdApi.ChatEventMemberJoinedByInviteLink`, `TdApi.ChatEventMemberJoinedByRequest`, `TdApi.ChatEventMemberLeft`, `TdApi.ChatEventMemberPromoted`, `TdApi.ChatEventMemberRestricted`, `TdApi.ChatEventMessageDeleted`, `TdApi.ChatEventMessageEdited`, `TdApi.ChatEventMessagePinned`, `TdApi.ChatEventMessageTtlSettingChanged`, `TdApi.ChatEventMessageUnpinned`, `TdApi.ChatEventPermissionsChanged`, `TdApi.ChatEventPhotoChanged`, `TdApi.ChatEventPollStopped`, `TdApi.ChatEventSignMessagesToggled`, `TdApi.ChatEventSlowModeDelayChanged`, `TdApi.ChatEventStickerSetChanged`, `TdApi.ChatEventTitleChanged`, `TdApi.ChatEventUsernameChanged`, `TdApi.ChatEventVideoChatCreated`, `TdApi.ChatEventVideoChatDiscarded`, `TdApi.ChatEventVideoChatMuteNewParticipantsToggled`, `TdApi.ChatEventVideoChatParticipantIsMutedToggled`, `TdApi.ChatEventVideoChatParticipantVolumeLevelChanged`

Enclosing class:
  TdApi

public abstract static class TdApi.ChatEventAction extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventAction()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChatEventAction

public ChatEventAction()